import javafx.scene.shape.Sphere;

/**
 * 星屑
 */
public class ARSpriteStardust extends Sphere {

	/**
	 * コンストラクタ
	 */
	public ARSpriteStardust(){

		// スーパークラスを呼び出す
		super();

		// 球体を作成
		super.setRadius(0.05);

		// X設定
		super.setTranslateX(Math.random() * 40 - 20);

		// Y設定
		super.setTranslateY(Math.random() * 40 - 20);

		// Z設定
		super.setTranslateZ(Math.random() * 300);

	} // end ARSpriteStardust

	/**
	 * 実行
	 */
	public void run(){

		// Z方向取得
		double z = super.getTranslateZ();

		// Z方向加算
		z = z - 0.4;

		// 画面の外にでた場合、
		if(z < 0){
			// Z設定
			z = z + 300;
		}

		// 移動
		super.setTranslateZ(z);

	} // end run

}
