import javafx.scene.Group;

/**
 * スプライト
 */
public abstract class ARSprite extends Group {

	/** アプリケーション */
	public		ARApplication		application			= null;

	/**
	 * コンストラクタ
	 * @param application ARApplication
	 */
	public ARSprite(ARApplication application) {

		super();

		// アプリケーションを保持
		this.application = application;

	}

	/**
	 * 実行
	 */
	abstract public void run();

	/**
	 * 削除
	 */
	public void remove(){

		// 削除メソッド呼び出し
		application.removeNode(this);

	}

}
